tclxapian_1.2.22-2build1_i386.deb


Advertisement

Description

tclxapian - Xapian search engine interface for Tcl

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: tclxapian
Package version: 1.2.22
Package release: 2build1
Package architecture: i386
Package type: deb
Installed size: 777 B
Download size: 127.40 KB
Official Mirror: archive.ubuntu.com
This package provides Xapian Tcl bindings which should work with any version of Tcl >= 8.1 (by using Tcl's stubs mechanism.) The Xapian search engine library is a highly adaptable toolkit which allows developers to easily add advanced indexing and search facilities to their own applications. It implements the probabilistic model of information retrieval, and provides facilities for performing ranked free-text searches, relevance feedback, phrase searching, boolean searching, stemming, and simultaneous update and searching. It is highly scalable, and is capable of working with collections containing hundreds of millions of documents. The Xapian Tcl bindings provide an interface to the Xapian library from the Tcl programming language, allowing both indexing and retrieval operations.

Alternatives

    Download

    Source package: xapian-bindings

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install tclxapian deb package:
      # sudo apt-get install tclxapian

    Files

    • /usr/lib/tcltk/xapian1.2.22/pkgIndex.tcl
    • /usr/lib/tcltk/xapian1.2.22/xapian.so
    • /usr/share/doc-base/xapian-tcl-docs
    • /usr/share/doc/tclxapian/TODO.Debian
    • /usr/share/doc/tclxapian/changelog.Debian.gz
    • /usr/share/doc/tclxapian/copyright
    • /usr/share/doc/tclxapian/index.html
    • /usr/share/doc/tclxapian/examples/simpleexpand.tcl
    • /usr/share/doc/tclxapian/examples/simpleindex.tcl
    • /usr/share/doc/tclxapian/examples/simplesearch.tcl

    Changelog

    2016-03-14 - Matthias Klose <doko@ubuntu.com> xapian-bindings (1.2.22-2build1) xenial; urgency=medium * No-change rebuild for ruby2.3.

    2016-01-22 - Olly Betts <olly@survex.com> xapian-bindings (1.2.22-2) unstable; urgency=medium * debian/rules: Avoid generating multiple "X-Dummy:" headers. * debian/rules: Avoid generating empty "Provides:" in some situations. * debian/control.in: http->https in "Vcs-Browser:" and "Homepage:". * debian/copyright,debian/watch: http->https for xapian.org. * debian/control.in: "Standards-Version: 3.9.7" (no changes required). * Update to debhelper compat level 9.

    2016-01-21 - Olly Betts <olly@survex.com> xapian-bindings (1.2.22-1) unstable; urgency=medium * New upstream release. * Ack NMU; adjust changes so building backports should just work. * debian/rules: Align handling of xapian-core dependency with xapian-omega packaging. * debian/copyright: Update copyright years for packaging.

    2015-08-03 - Matthias Klose <doko@debian.org> xapian-bindings (1.2.21-2.1) unstable; urgency=medium * Non-maintainer upload. * Build-depend on libxapian-dev (>= 1.2.21-1.2), g++ (>= 4:5.2) * Fix rewriting the dependency on libxapianN.

    2015-06-29 - Olly Betts <olly@survex.com> xapian-bindings (1.2.21-2) unstable; urgency=medium * debian/rules: Add BD on ruby-test-unit to fix FTBFS with Ruby 2.2, which unbundled this module (fixes FTBFS reported in #778177 by Daniel Schepler). * debian/control-python.in: Remove @XB_PYTHON_VERSION@ left over from code removed in 1.2.21-1.

    2015-05-25 - Olly Betts <olly@survex.com> xapian-bindings (1.2.21-1) unstable; urgency=medium * New upstream release. * debian/rules: Strip out special cases for obsolete Debian and Ubuntu releases. * debian/ruby-xapian.preinst: Drop cleanup for upgrade failure from 1.2.15-4 to 1.2.16-1. Realistically, anyone affected will have had it resolved by upgrading to a version containing this clean-up, as the jessie release has happened since.

    2015-04-10 - Olly Betts <olly@survex.com> xapian-bindings (1.2.19-2) unstable; urgency=medium * debian/ruby-xapian.preinst: Add missing line continuation to fix workaround for upgrade failures from versions 1.2.15-4 to 1.2.16-1. (Closes: #782269)

    2014-10-23 - Olly Betts <olly@survex.com> xapian-bindings (1.2.19-1) unstable; urgency=low * New upstream release. * debian/rules: Use dh_autotools-dev_updateconfig and dh_autotools-dev_restoreconfig. * debian/control.in: Declare conformance with "Standards-Version: 3.9.6".

    2014-06-29 - Olly Betts <olly@survex.com> xapian-bindings (1.2.18-1) unstable; urgency=medium * New upstream release.

    2014-05-04 - Olly Betts <olly@survex.com> xapian-bindings (1.2.17-3) unstable; urgency=medium * Fix reversed conditional for adding pre-ruby-all-dev ruby BDs. (Closes: #748749)

    Advertisement
    Advertisement